/*
   microphone code based on neimod's microphone example.
   See: http://neimod.com/dstek/ 
   Chris Double (chris.double@double.co.nz)
   http://www.double.co.nz/nintendo_ds
   Gain and mode handling from DSOrganize
*/

#ifndef MICROPHONE7_H
#define MICROPHONE7_H

#ifdef __cplusplus
extern "C" {
#endif

/* 
 * Microphone gain level 
 */
#define MICGAIN_20           0
#define MICGAIN_40           1
#define MICGAIN_80           2
#define MICGAIN_160          3

/* 
 * Microphone sampling mode 
 */
#define MICMODE_8BIT         0
#define MICMODE_12BIT        1

/* 
 *Turn the microphone on 
 */
void TurnOnMicrophone(short gain);

/* 
 * Turn the microphone off 
 */
void TurnOffMicrophone();

/* Fill the buffer with data from the microphone. The buffer will be
 * signed sound data at requested rate. Once the length of the buffer is
 * reached, no more data will be stored. Uses ARM7 timer 0.  
 */
void MicStartRecording(short gain, short mode, int rate, void* buffer, int length);

void MicRestartRecording(void* buffer, int length);

/* 
 * Stop recording data, and return the length of data recorded. 
 */
int MicStopRecording();

int MicPauseRecording();

/* 
 * This must be called during IRQ_TIMER0 
 */
void ProcessMicrophoneTimerIRQ();

#ifdef __cplusplus
}
#endif

#endif
