
/* Literal handler definition 

Copyright (C) 2008 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#ifndef LITERALHANDLERH
#define LITERALHANDLERH

#define ITALIAN 0
#define ENGLISH 1

#define NLIT_LBLINS         0
#define NLIT_LBLAFREQ       1
#define NLIT_LBLNOTE        2
#define NLIT_LBLOCTAVE      3
#define NLIT_LBLTMODE       4
#define NLIT_LBLSTRING      5
#define NLIT_LBLAUTODETECT  6
#define NLIT_LBLTARGET      7
#define NLIT_LBLTARGETDATA  8
#define NLIT_FIRSTNOTE      9
#define NLIT_C              9
#define NLIT_CS             10
#define NLIT_D              11
#define NLIT_DS             12
#define NLIT_E              13
#define NLIT_F              14
#define NLIT_FS             15
#define NLIT_G              16
#define NLIT_GS             17
#define NLIT_A              18
#define NLIT_AS             19
#define NLIT_B              20
#define NLIT_TUNED          21
#define NLIT_REC            22
#define NLIT_NOTESBAR       23
#define NLIT_OCTAVESBAR     24
#define NLIT_SIGNAL         25
#define NLIT_QUALITY        26
#define NLIT_AUTODETECT     27
#define NLIT_TARGET         28
#define NLIT_HZ             29
#define NLIT_GUITAR         30
#define NLIT_BASS           31
#define NLIT_MANUAL         32
#define NLIT_F435           33
#define NLIT_F436           34
#define NLIT_F437           35
#define NLIT_F438           36
#define NLIT_F439           37
#define NLIT_F440           38
#define NLIT_F441           39
#define NLIT_F442           40
#define NLIT_F443           41
#define NLIT_F444           42
#define NLIT_F445           43
#define NLIT_AUTODETECT2    44
#define NLIT_O0             45
#define NLIT_O1             46
#define NLIT_O2             47
#define NLIT_O3             48
#define NLIT_O4             49
#define NLIT_O5             50
#define NLIT_O6             51
#define NLIT_O7             52
#define NLIT_O8             53
#define NLIT_GMSTD          54
#define NLIT_GMDROPD        55
#define NLIT_GMDOUBLEDROPD  56
#define NLIT_GMDROPC        57
#define NLIT_GMDROPB        58
#define NLIT_GMOPENG        59
#define NLIT_GMOPEND        60
#define NLIT_GMOPENC        61
#define NLIT_GMLOWC         62
#define NLIT_GMD            63
#define NLIT_GMC            64
#define NLIT_GMB            65

#define NLIT_BMSTD          74
#define NLIT_BMALT          75

#define NLIT_WEBSITE        81
#define NLIT_TITLE          82

#define NLIT_GMSTD1         100
#define NLIT_GMSTD2         101
#define NLIT_GMSTD3         102
#define NLIT_GMSTD4         103
#define NLIT_GMSTD5         104
#define NLIT_GMSTD6         105
#define NLIT_GMDROPD1       106
#define NLIT_GMDROPD2       107
#define NLIT_GMDROPD3       108
#define NLIT_GMDROPD4       109
#define NLIT_GMDROPD5       110
#define NLIT_GMDROPD6       111
#define NLIT_BMSTD1         112
#define NLIT_BMSTD2         113
#define NLIT_BMSTD3         114
#define NLIT_BMSTD4         115
#define NLIT_BMALT1         116
#define NLIT_BMALT2         117
#define NLIT_BMALT3         118
#define NLIT_BMALT4         119
#define NLIT_GMDOUBLEDROPD1 120
#define NLIT_GMDOUBLEDROPD2 121
#define NLIT_GMDOUBLEDROPD3 122
#define NLIT_GMDOUBLEDROPD4 123
#define NLIT_GMDOUBLEDROPD5 124
#define NLIT_GMDOUBLEDROPD6 125
#define NLIT_GMDROPC1       126
#define NLIT_GMDROPC2       127
#define NLIT_GMDROPC3       128
#define NLIT_GMDROPC4       129
#define NLIT_GMDROPC5       130
#define NLIT_GMDROPC6       131
#define NLIT_GMDROPB1       132
#define NLIT_GMDROPB2       133
#define NLIT_GMDROPB3       134
#define NLIT_GMDROPB4       135
#define NLIT_GMDROPB5       136
#define NLIT_GMDROPB6       137
#define NLIT_GMOPENG1       138
#define NLIT_GMOPENG2       139
#define NLIT_GMOPENG3       140
#define NLIT_GMOPENG4       141
#define NLIT_GMOPENG5       142
#define NLIT_GMOPENG6       143
#define NLIT_GMOPEND1       144
#define NLIT_GMOPEND2       145
#define NLIT_GMOPEND3       146
#define NLIT_GMOPEND4       147
#define NLIT_GMOPEND5       148
#define NLIT_GMOPEND6       149
#define NLIT_GMOPENC1       150
#define NLIT_GMOPENC2       151
#define NLIT_GMOPENC3       152
#define NLIT_GMOPENC4       153
#define NLIT_GMOPENC5       154
#define NLIT_GMOPENC6       155
#define NLIT_GMLOWC1        156
#define NLIT_GMLOWC2        157
#define NLIT_GMLOWC3        158
#define NLIT_GMLOWC4        159
#define NLIT_GMLOWC5        160
#define NLIT_GMLOWC6        161
#define NLIT_GMD1           162
#define NLIT_GMD2           163
#define NLIT_GMD3           164
#define NLIT_GMD4           165
#define NLIT_GMD5           166
#define NLIT_GMD6           167
#define NLIT_GMC1           168
#define NLIT_GMC2           169
#define NLIT_GMC3           170
#define NLIT_GMC4           171
#define NLIT_GMC5           172
#define NLIT_GMC6           173
#define NLIT_GMB1           174
#define NLIT_GMB2           175
#define NLIT_GMB3           176
#define NLIT_GMB4           177
#define NLIT_GMB5           178
#define NLIT_GMB6           179

#define LIT_LBLINS         LiteralHandler::GetLit(NLIT_LBLINS)
#define LIT_LBLAFREQ       LiteralHandler::GetLit(NLIT_LBLAFREQ)
#define LIT_LBLNOTE        LiteralHandler::GetLit(NLIT_LBLNOTE)
#define LIT_LBLOCTAVE      LiteralHandler::GetLit(NLIT_LBLOCTAVE)
#define LIT_LBLTMODE       LiteralHandler::GetLit(NLIT_LBLTMODE)
#define LIT_LBLSTRING      LiteralHandler::GetLit(NLIT_LBLSTRING)
#define LIT_LBLAUTODETECT  LiteralHandler::GetLit(NLIT_LBLAUTODETECT)
#define LIT_LBLTARGET      LiteralHandler::GetLit(NLIT_LBLTARGET)
#define LIT_LBLTARGETDATA  LiteralHandler::GetLit(NLIT_LBLTARGETDATA)
#define LIT_TUNED          LiteralHandler::GetLit(NLIT_TUNED)
#define LIT_REC            LiteralHandler::GetLit(NLIT_REC)
#define LIT_NOTESBAR       LiteralHandler::GetLit(NLIT_NOTESBAR)
#define LIT_OCTAVESBAR     LiteralHandler::GetLit(NLIT_OCTAVESBAR)
#define LIT_SIGNAL         LiteralHandler::GetLit(NLIT_SIGNAL)
#define LIT_QUALITY        LiteralHandler::GetLit(NLIT_QUALITY)
#define LIT_AUTODETECT     LiteralHandler::GetLit(NLIT_AUTODETECT)
#define LIT_TARGET         LiteralHandler::GetLit(NLIT_TARGET)
#define LIT_HZ             LiteralHandler::GetLit(NLIT_HZ)
#define LIT_WEBSITE        LiteralHandler::GetLit(NLIT_WEBSITE)
#define LIT_TITLE          LiteralHandler::GetLit(NLIT_TITLE)

class LiteralHandler
{
public:

  /*
   * Set language
   */
  static void SetLanguage(int lang);
  
  /*
   * Get requeste literal
   */
  static char* GetLit(int nLit);
};

#ifdef LITDATA

static char *lit_ita[] = {
  "Strumento:",
  "Freq.rif.LA4:",
  "Nota:",
  "Ottava:",
  "Accordatura:",
  "Corda:",
  "Autoriconoscimento",
  "Riferimento:",
  "%s%d a %.1fHz    ",
  "DO",
  "DO#",
  "RE",
  "RE#",
  "MI",
  "FA",
  "FA#",
  "SOL",
  "SOL#",
  "LA",
  "LA#",
  "SI",
  "VALIDA",
  "REG",
  "DO#RE#MIFA#SOL#LA#SI",
  "012345678",
  "Segnale",
  "Qualit",
  "Autoriconoscimento",
  "Riferimento: %s%d a %4.1fHz",
  "Hz",
  "Chitarra",
  "Basso",
  "Manuale",
  "435 Hz",
  "436 Hz",
  "437 Hz",
  "438 Hz",
  "439 Hz",
  "440 Hz",
  "441 Hz",
  "442 Hz",
  "443 Hz",
  "444 Hz",
  "445 Hz",
  "Autodet",
  "0",
  "1",
  "2",
  "3",
  "4",
  "5",
  "6",
  "7",
  "8",
  
  "Standard",
  "Drop D",
  "D drop D",
  "Drop C",
  "Drop B",
  "Open G",
  "Open D",
  "Open C",
  "Low C",
  "D",
  "C",
  "B",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  
  "Standard",
  "Alt.",
  "",
  "",
  "",
  "",
  "",

  "www.object65.it",
  "StringTuner DS",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  
  "1 - MI4",   // std
  "2 - SI3",
  "3 - SOL3",
  "4 - RE3",
  "5 - LA2",
  "6 - MI2",
  
  "1 - MI4",   // DD
  "2 - SI3",
  "3 - SOL3",
  "4 - RE3",
  "5 - LA2",
  "6 - RE2",
  
  "1 - SOL2",   // bass std
  "2 - RE2",
  "3 - LA1",
  "4 - MI1",
  
  "1 - SOL2",   // bass alt.
  "2 - RE2",
  "3 - LA1",
  "4 - D1",

  "1 - RE4", // DDD
  "2 - SI3",
  "3 - SOL3",
  "4 - RE3",
  "5 - LA2",
  "6 - RE2",

  "1 - RE4", // DC
  "2 - LA3",
  "3 - FA3",
  "4 - DO3",
  "5 - SOL2",
  "6 - DO2",
  
  "1 - DO#4",  // DB
  "2 - SOL#3",
  "3 - MI3",
  "4 - SI2",
  "5 - FA#2",
  "6 - SI1",
  
  "1 - RE4",   // OG
  "2 - SI3",
  "3 - SOL3",
  "4 - RE3",
  "5 - SOL2",
  "6 - RE2",
  
  "1 - RE4",   // OD
  "2 - LA3",
  "3 - FA#3",
  "4 - RE3",
  "5 - LA2",
  "6 - RE2",
  
  "1 - MI4",    // OC
  "2 - DO4",
  "3 - SOL3",
  "4 - DO3",
  "5 - G2",
  "6 - DO2",
  
  "1 - RE4",    // LC
  "2 - LA3",
  "3 - SOL3",
  "4 - SOL2",
  "5 - RE2",
  "6 - DO2",
  
  "1 - RE4",   // D
  "2 - LA3",
  "3 - FA3",
  "4 - DO3",
  "5 - SOL2",
  "6 - D2", 
  
  "1 - DO4",   // C
  "2 - SOL3",
  "3 - RE#3",
  "4 - LA#2",
  "5 - FA2",
  "6 - DO2",
    
  "1 - SI3",   // B
  "2 - FA#3",
  "3 - RE3",
  "4 - LA2",
  "5 - MI2",
  "6 - SI2",

};

static char *lit_eng[] = {
  "Instrument:",
  "A4 frequency:",
  "Note:",
  "Octave:",
  "Tuning:",
  "String:",
  "Autodetect",
  "Target:",
  "%s%d at %.1fHz    ",
  "C",
  "C#",
  "D",
  "D#",
  "E",
  "F",
  "F#",
  "G",
  "G#",
  "A",
  "A#",
  "B",
  "TUNED",
  "REC",
  "C#D#EF#G#A#B",
  "012345678",
  " Signal",
  "Quality",
  "Autodetect",
  "Target: %s%d at %4.1fHz",
  "Hz",
  "Guitar",
  "Bass",
  "Manual",
  "435 Hz",
  "436 Hz",
  "437 Hz",
  "438 Hz",
  "439 Hz",
  "440 Hz",
  "441 Hz",
  "442 Hz",
  "443 Hz",
  "444 Hz",
  "445 Hz",
  "Autodet",
  "0",
  "1",
  "2",
  "3",
  "4",
  "5",
  "6",
  "7",
  "8",
  
  "Standard",
  "Drop D",
  "D drop D",
  "Drop C",
  "Drop B",
  "Open G",
  "Open D",
  "Open C",
  "Low C",  
  "D",
  "C",
  "B",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  
  "Standard",
  "Alt.",
  "",
  "",
  "",
  
  "www.object65.it",
  "StringTuner DS",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  "",
  
  "1 - E4",   // std
  "2 - B3",
  "3 - G3",
  "4 - D3",
  "5 - A2",
  "6 - E2",
  
  "1 - E4",   // DD
  "2 - B3",
  "3 - G3",
  "4 - D3",
  "5 - A2",
  "6 - D2",
  
  "1 - G2",   // bass std
  "2 - D2",
  "3 - A1",
  "4 - E1",
  
  "1 - G2",   // bass alt.
  "2 - D2",
  "3 - A1",
  "4 - D1",

  "1 - D4", // DDD
  "2 - B3",
  "3 - G3",
  "4 - D3",
  "5 - A2",
  "6 - D2",

  "1 - D4", // DC
  "2 - A3",
  "3 - F3",
  "4 - C3",
  "5 - G2",
  "6 - C2",
  
  "1 - C#4",  // DB
  "2 - G#3",
  "3 - E3",
  "4 - B2",
  "5 - F#2",
  "6 - B1",
  
  "1 - D4",   // OG
  "2 - B3",
  "3 - G3",
  "4 - D3",
  "5 - G2",
  "6 - D2",
  
  "1 - D4",   // OD
  "2 - A3",
  "3 - F#3",
  "4 - D3",
  "5 - A2",
  "6 - D2",
  
  "1 - E4",    // OC
  "2 - C4",
  "3 - G3",
  "4 - C3",
  "5 - G2",
  "6 - C2",
  
  "1 - D4",    // LC
  "2 - A3",
  "3 - G3",
  "4 - G2",
  "5 - D2",
  "6 - C2",
  
  "1 - D4",   // D
  "2 - A3",
  "3 - F3",
  "4 - C3",
  "5 - G2",
  "6 - D2", 
  
  "1 - C4",   // C
  "2 - G3",
  "3 - D#3",
  "4 - A#2",
  "5 - F2",
  "6 - C2",
    
  "1 - B3",   // B
  "2 - F#3",
  "3 - D3",
  "4 - A2",
  "5 - E2",
  "6 - B2",
   
};

#endif

#endif
