
/* Tuner class definition 

Copyright (C) 2008 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#ifndef TUNERH
#define TUNERH

#include "SoundHandler.h"
#include "GraphicsHandler.h"

class Tuner
{
public:

  /*
   * Constructor
   */
  Tuner();
  
  /*
   * Run tuner
   */
  void Run();
  
private:

  /*
   * Select working language
   */
  int SelectWorkingLanguage(GraphicsHandler* mgh, GraphicsHandler* sgh);
  
  /*
   * Run tuner
   */
  void RunTuner(GraphicsHandler* mgh, GraphicsHandler* sgh, SoundHandler* sh);
};

#ifdef TUNERDATA

#define Y_TITLE       100
#define H_TITLE       34    //30

#define IDB_ITALIAN   100
#define IDB_ENGLISH   101
#define IDB_INFO      102

#define XBTN_ITA      10
#define XBTN_ENG      80
#define YBTN_LANG     20
#define HBTN_LANG     40
#define WBTN_LANG     60

#define XBTN_INFO     236
#define YBTN_INFO     172
#define HBTN_INFO     20
#define WBTN_INFO     20

#define BCK_COLOR     RGB15(20,20,20)

#endif

#endif
