/*
   microphone_demo1 ARM9 Code 
   Chris Double (chris.double@double.co.nz)
   http://www.double.co.nz/nintendo_ds
*/

#include <nds.h>
#include "nds/arm9/console.h"
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <fat.h>
#include "../../common/include/sound_commands.h"
#include "Tuner.h"


unsigned long tctr = 0;    // time counter i 1/60th of seconds 

/*
 * vblank interrupt handler
 */
void on_vblank() 
{	
  tctr++;
}

/*
 * Main program
 */
int main(void)
{
  /* Initialize console */

  consoleDemoInit();
  
  irqInit();
	irqSet(IRQ_VBLANK, on_vblank);
	irqEnable(IRQ_VBLANK);  
  
  fatInitDefault();

  /* Run tuner */
  
  Tuner* tuner = new Tuner();
  
  tuner->Run();
  
  delete tuner;

  return 0;
}
